function R = nma_romberg_test
%driver to test romberg integration table

%
% Example call
% R = nma_romberg_test()
% 
% ans =
%   1.8154e+003  6.6540e+002  5.1408e+002 -2.7149e+002  1.9493e+001
%   9.5291e+002  5.2354e+002 -2.5921e+002  1.8357e+001            0
%   6.3088e+002 -2.1029e+002  1.4020e+001            0            0
%             0            0            0            0            0
%             0            0            0            0            0
% Copyright: Nasser M. Abbasi


% change this as needed
f    = 'x*exp(2*x)';
from = 0;
to   = 3;

nStrips   = 5;
rowNumber = 0;
nSoFar    = 0;
c         = zeros(nStrips,1);
while(1)
    rowNumber = rowNumber+1;
    nSoFar    = 2^(rowNumber-1);
    if nSoFar>nStrips
        break;
    end
    c(rowNumber) = nma_trapezoidal(f,from,to,nSoFar);
end

R=nma_romberg(c);

